Debian Bug report logs - #32340
dpkg-cross: shlibs must also search /usr/$libpath

version graph

Package: dpkg-cross; Maintainer for dpkg-cross is Debian Embedded Group <debian-embedded@lists.debian.org>; Source for dpkg-cross is src:dpkg-cross.

Reported by: brinkmd@debian.org

Date: Sun, 24 Jan 1999 18:03:00 UTC

Severity: normal

Found in version 1.3

Fixed in version dpkg-cross/2.0.0

Done: Neil Williams <codehelp@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>:
Bug#32340; Package dpkg-cross. Full text and rfc822 format available.

Acknowledgement sent to brinkmd@debian.org:
New bug report received and forwarded. Copy sent to Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: brinkmd@debian.org
To: submit@bugs.debian.org
Subject: dpkg-cross: shlibs must also search /usr/$libpath
Date: Sun, 24 Jan 1999 12:41:36 +0100
Package: dpkg-cross
Version: 1.3

Hello,

currently dpkg-shlibdeps uses dpkg to search for lib packages by calling it
with --search --root=$(crossroot) -- /lib/something

This does only work for libraries in /lib, libraries which are placed in
/usr are not found:

brinkmds@flora:~/hurd/cross/cvs/cvs-1.10.3$ ARCH=hurd-i386 dpkg-shlibdeps -O debian/tmp/usr/bin/cvs
dpkg: /lib/libz.so.1 not found.
dpkg-shlibdeps: warning: could not find any packages for /gnu/lib/libz.so.1 (libz.so.1)
dpkg-shlibdeps: warning: unable to find dependency information for shared library libz (soname 1, path /gnu/lib//lib/libz.so.1, dependency field Depends)
shlibs:Depends=libc0.2


In such a case, the script should retry to find the library in /usr. Another
solution would be to grep the list files for the file. Looking at the
location in the file system does not work, because dpkg has it's own idea of
location (it does not take sylinks into account).

Thank you,
Marcus

-- System Information
Debian Release: 2.1
Kernel Version: Linux flora 2.0.32 #1 Mit Jul 22 22:52:29 CEST 1998 i586 unknown

Versions of the packages dpkg-cross depends on:
ii  dpkg-dev        1.4.1          Package building tools for Debian Linux
hi  perl            5.004.04-6     Larry Wall's Practical Extracting and Report


Information forwarded to debian-bugs-dist@lists.debian.org, Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>:
Bug#32340; Package dpkg-cross. Full text and rfc822 format available.

Acknowledgement sent to Roman.Hodek@informatik.uni-erlangen.de:
Extra info received and forwarded to list. Copy sent to Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>. Full text and rfc822 format available.

Message #10 received at 32340@bugs.debian.org (full text, mbox):

From: Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>
To: brinkmd@debian.org, 32340@bugs.debian.org
Subject: Re: Bug#32340: dpkg-cross: shlibs must also search /usr/$libpath
Date: Mon, 25 Jan 1999 10:19:32 +0100 (MET)
Hi Marcus!

> currently dpkg-shlibdeps uses dpkg to search for lib packages by calling it
> with --search --root=$(crossroot) -- /lib/something
> 
> This does only work for libraries in /lib, libraries which are placed in
> /usr are not found:
[...]

Yes. Santiago Vila, who helped me testing this first Hurd-suitable
version, claimed that Hurd installs all libraries in /lib and none in
/usr/lib.

Roman


Information forwarded to debian-bugs-dist@lists.debian.org, Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>:
Bug#32340; Package dpkg-cross. Full text and rfc822 format available.

Acknowledgement sent to Santiago Vila Doncel <sanvila@unex.es>:
Extra info received and forwarded to list. Copy sent to Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>. Full text and rfc822 format available.

Message #15 received at 32340@bugs.debian.org (full text, mbox):

From: Santiago Vila Doncel <sanvila@unex.es>
To: Roman.Hodek@informatik.uni-erlangen.de, 32340@bugs.debian.org
Cc: brinkmd@debian.org
Subject: Re: Bug#32340: dpkg-cross: shlibs must also search /usr/$libpath
Date: Mon, 25 Jan 1999 14:50:57 +0100 (CET)
On Mon, 25 Jan 1999, Roman Hodek wrote:

> Hi Marcus!
> 
> > currently dpkg-shlibdeps uses dpkg to search for lib packages by calling it
> > with --search --root=$(crossroot) -- /lib/something
> > 
> > This does only work for libraries in /lib, libraries which are placed in
> > /usr are not found:
> [...]
> 
> Yes. Santiago Vila, who helped me testing this first Hurd-suitable
> version, claimed that Hurd installs all libraries in /lib and none in
> /usr/lib.

Hi.

I think that the GNU/Hurd is now going to support both things (i.e. both
existing /usr/lib and both not existing).



Information forwarded to debian-bugs-dist@lists.debian.org, Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>:
Bug#32340; Package dpkg-cross. Full text and rfc822 format available.

Acknowledgement sent to Roman.Hodek@informatik.uni-erlangen.de:
Extra info received and forwarded to list. Copy sent to Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>. Full text and rfc822 format available.

Message #20 received at 32340@bugs.debian.org (full text, mbox):

From: Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>
To: sanvila@unex.es
Cc: 32340@bugs.debian.org, brinkmd@debian.org
Subject: Re: Bug#32340: dpkg-cross: shlibs must also search /usr/$libpath
Date: Mon, 25 Jan 1999 15:53:53 +0100 (MET)
> I think that the GNU/Hurd is now going to support both things (i.e.
> both existing /usr/lib and both not existing).

This is bad from my standpoint of view, because I have to generalize
the lib searching from 1 dir to n dirs.

Roman


Information forwarded to debian-bugs-dist@lists.debian.org, Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>:
Bug#32340; Package dpkg-cross. Full text and rfc822 format available.

Acknowledgement sent to Marcus Brinkmann <Marcus.Brinkmann@ruhr-uni-bochum.de>:
Extra info received and forwarded to list. Copy sent to Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>. Full text and rfc822 format available.

Message #25 received at 32340@bugs.debian.org (full text, mbox):

From: Marcus Brinkmann <Marcus.Brinkmann@ruhr-uni-bochum.de>
To: Roman.Hodek@informatik.uni-erlangen.de, 32340@bugs.debian.org, Santiago Vila Doncel <sanvila@unex.es>
Subject: Re: Bug#32340: dpkg-cross: shlibs must also search /usr/$libpath
Date: Mon, 25 Jan 1999 17:15:01 +0100
On Mon, Jan 25, 1999 at 10:19:32AM +0100, Roman Hodek wrote:
> 
> Hi Marcus!
> 
> > currently dpkg-shlibdeps uses dpkg to search for lib packages by calling it
> > with --search --root=$(crossroot) -- /lib/something
> > 
> > This does only work for libraries in /lib, libraries which are placed in
> > /usr are not found:
> [...]
> 
> Yes. Santiago Vila, who helped me testing this first Hurd-suitable
> version, claimed that Hurd installs all libraries in /lib and none in
> /usr/lib.

This has nothing to do with it. Dpkg does not know if /usr is a real
directory or symlinked to /. Dpkg does only see that the lib is in
/usr/lib, and not in /lib, nad can't find a match.

What Santiago meant is that the libraries physical location is often /lib,
but dpkg can't see this. And we never planned to change all building scripts
to s/\/usr//g.

Thanks,
Marcus

-- 
"Rhubarb is no Egyptian god."        Debian GNU/Linux        finger brinkmd@ 
Marcus Brinkmann                   http://www.debian.org    master.debian.org
Marcus.Brinkmann@ruhr-uni-bochum.de                        for public  PGP Key
http://homepage.ruhr-uni-bochum.de/Marcus.Brinkmann/       PGP Key ID 36E7CD09


Information forwarded to debian-bugs-dist@lists.debian.org, Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>:
Bug#32340; Package dpkg-cross. Full text and rfc822 format available.

Acknowledgement sent to Roman.Hodek@informatik.uni-erlangen.de:
Extra info received and forwarded to list. Copy sent to Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>. Full text and rfc822 format available.

Message #30 received at 32340@bugs.debian.org (full text, mbox):

From: Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>
To: Marcus.Brinkmann@ruhr-uni-bochum.de
Cc: 32340@bugs.debian.org, sanvila@unex.es
Subject: Re: Bug#32340: dpkg-cross: shlibs must also search /usr/$libpath
Date: Tue, 26 Jan 1999 10:09:14 +0100 (MET)
> This has nothing to do with it. Dpkg does not know if /usr is a real
> directory or symlinked to /. Dpkg does only see that the lib is in
> /usr/lib, and not in /lib, nad can't find a match.
> 
> What Santiago meant is that the libraries physical location is often /lib,
> but dpkg can't see this. And we never planned to change all building scripts
> to s/\/usr//g.

It seems there is some misunderstanding: For the variation of
dpkg-shlibdeps in dpkg-cross, I also need to determine the package
which provides some library file. To search for that file (with dpkg
--search) I need its full path. In the native case, one can use ldd to
find out about linked libs, which also prints the path to each lib.
But in the cross case you can't use ldd (this executes the binary,
which is not possible with forgein binaries). So I use objdump as a
substitute, but only find the sonames, no paths where to find them. So
I simply prefix the sonames I find with $crosslib. This works fine as
long as there is only one directory in which cross libraries are
installed. This is usually the case for real cross installations, i.e.
cross stuff under /usr/ARCH/{bin,lib,include} or
/usr/local/ARCH/{bin,lib,include}. Hurd is a special case here,
because you don't have a normal cross installation, but (usually)
mount a whole system. So I have to cope here with how libs are
installed on a real target system.

AFAICS you make /usr a symlink to / on Hurd. Ok, dpkg --search doesn't
know about that. But: Are now *all* your libs installed in /usr/lib
(in the dpkg sense)? Then you could simply change $crosslib to be
$crossroot/usr/lib :-) Otherwise, I'd have to add some magic that I
can search for the lib in more than one place, which requires 1) a
syntax to write down a $crosslib with more than one value, and 2) some
mechanism to search all this dirs (this isn't implemented yet, because
it wasn't necessary).

Roman





Information forwarded to debian-bugs-dist@lists.debian.org, Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>:
Bug#32340; Package dpkg-cross. Full text and rfc822 format available.

Acknowledgement sent to Marcus Brinkmann <Marcus.Brinkmann@ruhr-uni-bochum.de>:
Extra info received and forwarded to list. Copy sent to Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>. Full text and rfc822 format available.

Message #35 received at 32340@bugs.debian.org (full text, mbox):

From: Marcus Brinkmann <Marcus.Brinkmann@ruhr-uni-bochum.de>
To: Roman.Hodek@informatik.uni-erlangen.de
Cc: 32340@bugs.debian.org, sanvila@unex.es
Subject: Re: Bug#32340: dpkg-cross: shlibs must also search /usr/$libpath
Date: Wed, 27 Jan 1999 18:47:35 +0100
On Tue, Jan 26, 1999 at 10:09:14AM +0100, Roman Hodek wrote:
[explanation snipped]

> AFAICS you make /usr a symlink to / on Hurd. Ok, dpkg --search doesn't
> know about that. But: Are now *all* your libs installed in /usr/lib
> (in the dpkg sense)? Then you could simply change $crosslib to be
> $crossroot/usr/lib :-)

No. We have the same as Linux. In the dpkg sense, some are in /lib and some
are in /usr/lib. Again, we don't change the packages. What you can find
under Linux is very likely the same in the Hurd (under Debian).

> Otherwise, I'd have to add some magic that I
> can search for the lib in more than one place, which requires 1) a
> syntax to write down a $crosslib with more than one value, and 2) some
> mechanism to search all this dirs (this isn't implemented yet, because
> it wasn't necessary).

I think it is sufficient to search for libraries individually (one call to
dpkg per library), and search /usr/lib if /lib fails. More than /lib and
/usr/lib should not be needed. This is a bit of a cludge, but should work
fine in 99.99% of all possible cases.

Marcus

-- 
"Rhubarb is no Egyptian god."        Debian GNU/Linux        finger brinkmd@ 
Marcus Brinkmann                   http://www.debian.org    master.debian.org
Marcus.Brinkmann@ruhr-uni-bochum.de                        for public  PGP Key
http://homepage.ruhr-uni-bochum.de/Marcus.Brinkmann/       PGP Key ID 36E7CD09


Information forwarded to debian-bugs-dist@lists.debian.org, Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>:
Bug#32340; Package dpkg-cross. Full text and rfc822 format available.

Acknowledgement sent to Santiago Vila <sanvila@unex.es>:
Extra info received and forwarded to list. Copy sent to Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>. Full text and rfc822 format available.

Message #40 received at 32340@bugs.debian.org (full text, mbox):

From: Santiago Vila <sanvila@unex.es>
To: Marcus Brinkmann <Marcus.Brinkmann@ruhr-uni-bochum.de>
Cc: Roman.Hodek@informatik.uni-erlangen.de, 32340@bugs.debian.org
Subject: Re: Bug#32340: dpkg-cross: shlibs must also search /usr/$libpath
Date: Wed, 27 Jan 1999 18:56:33 +0100 (CET)
On Wed, 27 Jan 1999, Marcus Brinkmann wrote:

> I think it is sufficient to search for libraries individually (one call to
> dpkg per library), and search /usr/lib if /lib fails. More than /lib and
> /usr/lib should not be needed. This is a bit of a cludge, but should work
> fine in 99.99% of all possible cases.

Nitpick: What about /usr/X11R6/lib?

[ This directory is standard in /etc/ld.so.conf in Linux ]

Maybe we need it also to cover 99.9999% of all possible cases.

-- 
 "c2db33da6c1262db121cd7b9821331c1" (a truly random sig)



Information forwarded to debian-bugs-dist@lists.debian.org, Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>:
Bug#32340; Package dpkg-cross. Full text and rfc822 format available.

Acknowledgement sent to Marcus Brinkmann <Marcus.Brinkmann@ruhr-uni-bochum.de>:
Extra info received and forwarded to list. Copy sent to Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>. Full text and rfc822 format available.

Message #45 received at 32340@bugs.debian.org (full text, mbox):

From: Marcus Brinkmann <Marcus.Brinkmann@ruhr-uni-bochum.de>
To: Santiago Vila <sanvila@unex.es>
Cc: Roman.Hodek@informatik.uni-erlangen.de, 32340@bugs.debian.org
Subject: Re: Bug#32340: dpkg-cross: shlibs must also search /usr/$libpath
Date: Wed, 27 Jan 1999 20:36:04 +0100
On Wed, Jan 27, 1999 at 06:56:33PM +0100, Santiago Vila wrote:
> On Wed, 27 Jan 1999, Marcus Brinkmann wrote:
> 
> > I think it is sufficient to search for libraries individually (one call to
> > dpkg per library), and search /usr/lib if /lib fails. More than /lib and
> > /usr/lib should not be needed. This is a bit of a cludge, but should work
> > fine in 99.99% of all possible cases.
> 
> Nitpick: What about /usr/X11R6/lib?
> 
> [ This directory is standard in /etc/ld.so.conf in Linux ]
> 
> Maybe we need it also to cover 99.9999% of all possible cases.

Would be nice to have, but I consider it not as necessary. At least I will
not attempt to cross compile either X nor big X applications (cross
compilation of small X application could be useful, but until we have X we
have hopefully a smart and neat native compilation enviroment). It's just
that /usr/lib is useful and important right now, and /usr/X11R6/lib may be
or may not be useful in half a year.

I leave it to Roman to decide if he wants a flexible, general approach or a
hack. In either way I could probably write a patch. Just let me know if you
don't have the time.

Marcus

-- 
"Rhubarb is no Egyptian god."        Debian GNU/Linux        finger brinkmd@ 
Marcus Brinkmann                   http://www.debian.org    master.debian.org
Marcus.Brinkmann@ruhr-uni-bochum.de                        for public  PGP Key
http://homepage.ruhr-uni-bochum.de/Marcus.Brinkmann/       PGP Key ID 36E7CD09


Information forwarded to debian-bugs-dist@lists.debian.org, Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>:
Bug#32340; Package dpkg-cross. Full text and rfc822 format available.

Acknowledgement sent to Roman.Hodek@informatik.uni-erlangen.de:
Extra info received and forwarded to list. Copy sent to Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>. Full text and rfc822 format available.

Message #50 received at 32340@bugs.debian.org (full text, mbox):

From: Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>
To: Marcus.Brinkmann@ruhr-uni-bochum.de
Cc: 32340@bugs.debian.org, sanvila@unex.es
Subject: Re: Bug#32340: dpkg-cross: shlibs must also search /usr/$libpath
Date: Thu, 28 Jan 1999 11:04:01 +0100 (MET)
Hi Marcus!

> No. We have the same as Linux. In the dpkg sense, some are in /lib
> and some are in /usr/lib. Again, we don't change the packages. What
> you can find under Linux is very likely the same in the Hurd (under
> Debian).

Ok.

> I think it is sufficient to search for libraries individually (one
> call to dpkg per library), and search /usr/lib if /lib fails. More
> than /lib and /usr/lib should not be needed. This is a bit of a
> cludge, but should work fine in 99.99% of all possible cases.

One dpkg --search call per lib is wasteful, a combined call does the
same.

And to hardwire to strip or add /usr is not very nice... The clean way
is to allow $crosslib to be multiple paths. And this can cause
problems in some other scripts that assume $crosslib to be one path. I
have to sort this out then...

Roman


Information forwarded to debian-bugs-dist@lists.debian.org, Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>:
Bug#32340; Package dpkg-cross. Full text and rfc822 format available.

Acknowledgement sent to Roman.Hodek@informatik.uni-erlangen.de:
Extra info received and forwarded to list. Copy sent to Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>. Full text and rfc822 format available.

Message #55 received at 32340@bugs.debian.org (full text, mbox):

From: Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>
To: Marcus.Brinkmann@ruhr-uni-bochum.de
Cc: sanvila@unex.es, 32340@bugs.debian.org
Subject: Re: Bug#32340: dpkg-cross: shlibs must also search /usr/$libpath
Date: Thu, 28 Jan 1999 11:06:32 +0100 (MET)
> Would be nice to have, but I consider it not as necessary. At least
> I will not attempt to cross compile either X nor big X applications
> (cross compilation of small X application could be useful, but until
> we have X we have hopefully a smart and neat native compilation
> enviroment). It's just that /usr/lib is useful and important right
> now, and /usr/X11R6/lib may be or may not be useful in half a year.

Here it shows that the "hardwire /usr" solution is not very
far-sighted :-)

> I leave it to Roman to decide if he wants a flexible, general
> approach or a hack. In either way I could probably write a patch.
> Just let me know if you don't have the time.

No hack, please :-)

Marcus, if you want you can try to make a patch, but it's not unlikely
that you have to go into the depths of dpkg-cross first. Even more
because, as a Hurd user, you probably don't know about (the script)
dpkg-cross for cross-installations.

Roman


Information forwarded to debian-bugs-dist@lists.debian.org, Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>:
Bug#32340; Package dpkg-cross. Full text and rfc822 format available.

Acknowledgement sent to Marcus Brinkmann <Marcus.Brinkmann@ruhr-uni-bochum.de>:
Extra info received and forwarded to list. Copy sent to Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>. Full text and rfc822 format available.

Message #60 received at 32340@bugs.debian.org (full text, mbox):

From: Marcus Brinkmann <Marcus.Brinkmann@ruhr-uni-bochum.de>
To: Roman.Hodek@informatik.uni-erlangen.de
Cc: 32340@bugs.debian.org, sanvila@unex.es
Subject: Re: Bug#32340: dpkg-cross: shlibs must also search /usr/$libpath
Date: Thu, 28 Jan 1999 21:59:41 +0100
On Thu, Jan 28, 1999 at 11:04:01AM +0100, Roman Hodek wrote:
> 
> One dpkg --search call per lib is wasteful, a combined call does the
> same.

Ok.
 
> And to hardwire to strip or add /usr is not very nice... The clean way
> is to allow $crosslib to be multiple paths. And this can cause
> problems in some other scripts that assume $crosslib to be one path. I
> have to sort this out then...

Yes, you are right, this would be the Right Thing (tm). However, don't
hurry. If I am going to do cross compilation on a serious scale next time, I
will hack around it locally. Not too many people are affected by that right
now, I think.

Thanks,
Marcus

-- 
"Rhubarb is no Egyptian god."        Debian GNU/Linux        finger brinkmd@ 
Marcus Brinkmann                   http://www.debian.org    master.debian.org
Marcus.Brinkmann@ruhr-uni-bochum.de                        for public  PGP Key
http://homepage.ruhr-uni-bochum.de/Marcus.Brinkmann/       PGP Key ID 36E7CD09


Tags added: pending Request was from Neil Williams <codehelp@debian.org> to control@bugs.debian.org. (Mon, 27 Aug 2007 12:54:03 GMT) Full text and rfc822 format available.

Reply sent to Neil Williams <codehelp@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to brinkmd@debian.org:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #67 received at 32340-close@bugs.debian.org (full text, mbox):

From: Neil Williams <codehelp@debian.org>
To: 32340-close@bugs.debian.org
Subject: Bug#32340: fixed in dpkg-cross 2.0.0
Date: Mon, 08 Oct 2007 21:47:03 +0000
Source: dpkg-cross
Source-Version: 2.0.0

We believe that the bug you reported is fixed in the latest version of
dpkg-cross, which is due to be installed in the Debian FTP archive:

dpkg-cross_2.0.0.dsc
  to pool/main/d/dpkg-cross/dpkg-cross_2.0.0.dsc
dpkg-cross_2.0.0.tar.gz
  to pool/main/d/dpkg-cross/dpkg-cross_2.0.0.tar.gz
dpkg-cross_2.0.0_all.deb
  to pool/main/d/dpkg-cross/dpkg-cross_2.0.0_all.deb
libdebian-dpkgcross-perl_2.0.0_all.deb
  to pool/main/d/dpkg-cross/libdebian-dpkgcross-perl_2.0.0_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 32340@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Neil Williams <codehelp@debian.org> (supplier of updated dpkg-cross package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon, 08 Oct 2007 22:11:09 +0100
Source: dpkg-cross
Binary: libdebian-dpkgcross-perl dpkg-cross
Architecture: source all
Version: 2.0.0
Distribution: unstable
Urgency: low
Maintainer: Debian Embedded Group <debian-embedded@lists.debian.org>
Changed-By: Neil Williams <codehelp@debian.org>
Description: 
 dpkg-cross - tools for cross compiling Debian packages
 libdebian-dpkgcross-perl - functions to aid cross-compiling Debian packages
Closes: 32340 283626 401058 429555 440043 441940
Changes: 
 dpkg-cross (2.0.0) unstable; urgency=low
 .
   * Replace the diversions
   * buildcross: new shell library to replace perl dpkg-buildpackage
     diversion
   * remove lintian overrides for previously diverted scripts
   * ChangeLog: close old file and use only the installed debian
     changelog
   * Remove old diversions when installing instead of removing
   * crosstools: removed
   * Merge dpkg-shlibdeps into dpkg (Closes: #283626)
   * replace cross-compile.example with cross-compile.sample
   * dpkg-cross should also handle /usr/lib/ldscripts (Closes: #401058)
   * shlibs must also search /usr/$libpath (Closes: #32340)
   * dpkg-buildpackage -S is confused by other-arch changes file.
     (Closes: #429555)
   * Debian/DpkgCross.pm: add new function convert_filename($)
   * NEWS,
     README.debian,
     README.cvs: Start the long goodbye - signal the intention to
     remove dpkg-cross after Lenny.
   * Missing a dependency on libfile-homedir-perl (Closes: #440043)
   * debconf dependency unsatisfiable with cdebconf (Closes: #441940)
   * Generate POD content and update man page for latest changes
   * Skip pre2 - set 2.0.0 for unstable due to changes in dpkg-dev 1.14.7
Files: 
 9a383a1849dbc609e9b2c7cbacb68593 946 utils extra dpkg-cross_2.0.0.dsc
 c29c09f4442b9e33a8c0fe136aaf4277 83483 utils extra dpkg-cross_2.0.0.tar.gz
 2fa2d346da2a775cbde503c3fbebca49 47788 utils extra dpkg-cross_2.0.0_all.deb
 0ac20053905db199a9e8c390406746b2 29510 perl extra libdebian-dpkgcross-perl_2.0.0_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFHCqNTiAEJSii8s+MRAmuOAKDshdvCWW6pC4sWbhwpUZY1MYEnwgCg9iN+
/e/8uQZLsyg2KZ4gjguam/M=
=L64M
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 26 Nov 2007 07:28:16 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 11:11:51 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.